cubicweb #2756002 tests: some 3.15 tests are broken with yams 0.36 [rejected]

Due to the new validation error .translate(...) API.

Let's fix the tests and depend on yams 0.36

prioritynormal
typebug
done in3.15.10
load0.000
load left0.000
closed by<not specified>
patch[web/tests] add missing .translate calls on validation errors (closes #2756002) [rejected]